SELECT
	o_subject AS subject,
	o_new_subject AS new_subject,
	o_name AS name,
	o_region AS region,
	o_status AS status,
	o_sum_price AS sum_price,
	o_email AS email,
	o_ad_id AS ad_id,
	o_action_id AS action_id,
	o_action_type AS action_type,
	o_pack_result as pack_result,
	o_user_id as user_id,
	o_payment_group_id as payment_group_id,
	o_need_filter_data as need_filter_data
FROM
	clear_minimum_info(<%(?ad_id)%ad_id::NULL%>,
		<%(?action_id)%action_id::NULL%>,
		<%(?pay_code)'%pay_code'::(?verify_code)'%verify_code'::NULL%>,
		<%(?order_id)'%order_id'::NULL%>,
		<%(?transition)'%transition'::NULL%>,
		<%(?tr_status)'%tr_status'::NULL%>,
		<%(?amount)%amount::NULL%>,
		<%(?status)'%status'::NULL%>,
		<%(?pay_time)'%pay_time'::NULL%>,
		<%(?admin_token)CASE WHEN get_auth_type('%admin_token') = 'admin' THEN '%admin_token' ELSE NULL END::NULL%>,
		<%(?store)'%store'::NULL%>,
		<%(?$(common.clear_expire_days.ad))'$(common.clear_expire_days.ad)'::'2'%>,
		<%|include("sql/include/pack_conf.sql")|%>,
		ARRAY[<%<%(@@# > 1 && $$(payment.product.@.is_for_ads) == "1"), %><%($$(payment.product.@.codename) != "bump" && $$(payment.product.@.is_for_ads) == "1")'$$(payment.product.@.codename)'%>%>]
	);
